﻿using System;
using System.Windows.Forms;

namespace TestVariabiliFraClassi
{
    public partial class Form1 : Form
    {
        // istanzio le classi, le variabili prenderanno i valori
        // iniziali assegnati nelle specifiche classi
        ClasseConVariabili LeMieVariabili = new ClasseConVariabili();
        ClassMatrice LaMiaMatrice = new ClassMatrice();

        public Form1()
        {
            InitializeComponent();
        }

        public void Form1_Load(object sender, EventArgs e)
        {
            // le variabili contengono i valori iniziali
            listBox1.Items.Add(LaMiaMatrice.MiaMatrice[0, 0]);
            listBox1.Items.Add(LaMiaMatrice.MiaMatrice[0, 1]);
            listBox1.Items.Add(LaMiaMatrice.MiaMatrice[1, 0]);
            listBox1.Items.Add(LaMiaMatrice.MiaMatrice[1, 1]);
            listBox1.Items.Add(LeMieVariabili.VarStringa);
            listBox1.Items.Add(LeMieVariabili.VarInt);

            // modifico il valore di una variabile
            LeMieVariabili.VarStringa = LeMieVariabili.VarStringa + " come stai?";
            listBox1.Items.Add(LeMieVariabili.VarStringa);
        }

        private void button1_Click(object sender, EventArgs e)
        {   
            // le variabili contengono l'ultimo valore assegnato
            listBox1.Items.Add(LeMieVariabili.VarStringa);

            LeMieVariabili.Ciao(); // esegue la routine in ClasseConVariabili
            listBox1.Items.Add(LeMieVariabili.VarStringa);

            LeMieVariabili.Come(); // esegue la routine in ClasseConVariabili
            listBox1.Items.Add(LeMieVariabili.VarStringa);

            LeMieVariabili.Stai(); // esegue la routine in ClasseConVariabili
            listBox1.Items.Add(LeMieVariabili.VarStringa);

            LaMiaMatrice.ModificaMatrice00(); // esegue la routine in ClassMatrice
            listBox1.Items.Add(LaMiaMatrice.MiaMatrice[0, 0]);

            LaMiaMatrice.MiaMatrice[0, 1] = "Pos 0,1 Modificata"; // modifico la matrice direttamente
            listBox1.Items.Add(LaMiaMatrice.MiaMatrice[0, 1]);
        }
    }
}
